From 61b3eefb3ac2dcd3d3b5f67d35f1ec8cf303ccf7 Mon Sep 17 00:00:00 2001
From: Stefano Zacchiroli <zack@upsilon.cc>
Date: Fri, 30 Jan 2009 10:49:09 +0100
Subject: [PATCH] add '-w' as shorthand cmdline flag for '--whole-pkg'

---
 grep-dctrl/grep-dctrl.c |    7 +++----
 man/grep-dctrl.1.cp     |    2 +-
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/grep-dctrl/grep-dctrl.c b/grep-dctrl/grep-dctrl.c
index d5fb5f5..7eab847 100644
--- a/grep-dctrl/grep-dctrl.c
+++ b/grep-dctrl/grep-dctrl.c
@@ -59,8 +59,7 @@ enum {
         OPT_GE,
         OPT_MMAP,
         OPT_IGN_ERRS,
-        OPT_PATTERN,
-        OPT_WHOLE_PKG
+        OPT_PATTERN
 };
 
 #undef BANNER
@@ -140,7 +139,7 @@ static struct argp_option options[] = {
 	{ "mmap",           OPT_MMAP, 0,            0, N_("Attempt mmapping input files") },
 	{ "ignore-parse-errors", OPT_IGN_ERRS, 0,   0, N_("Ignore parse errors") },
         { "pattern",        OPT_PATTERN, N_("PATTERN"), 0, N_("Specify the pattern to search for") },
-	{ "whole-pkg",	    OPT_WHOLE_PKG, 0,	    0, N_("Do (eregex) matching on whole package names") },
+	{ "whole-pkg",	    'w', 0,                 0, N_("Do (eregex) matching on whole package names") },
 	{ 0 }
 };
 
@@ -555,7 +554,7 @@ static error_t parse_opt (int key, char * arg, struct argp_state * state)
 		if (atom->pat == 0) fatal_enomem(0);
 		strcpy((char*)atom->pat, arg);
 		break;
-	case OPT_WHOLE_PKG:
+	case 'w':
 		debug_message("parse_opt: whole-pkg", 0);
 		atom = ENTER_ATOM;
 		atom->whole_pkg = 1;
diff --git a/man/grep-dctrl.1.cp b/man/grep-dctrl.1.cp
index 4d344f4..ca15e53 100644
--- a/man/grep-dctrl.1.cp
+++ b/man/grep-dctrl.1.cp
@@ -137,7 +137,7 @@ Ignore case when looking for a match in the current simple filter.
 .IP "\-X, \-\-exact\-match"
 Do an exact match (as opposed to a substring match) in the current
 simple filter.
-.IP "\-\-whole\-pkg"
+.IP "\-w, \-\-whole\-pkg"
 Do an extended regular expression match on whole package names,
 assuming the syntax of inter-package relationship fields such as
 Depends, Recommends, ... When this flag is given you should not worry
-- 
1.5.6.5

